Create Run
POSThttps://api.confident-ai.com/v2/test-runs
Creates a new in-progress test run and returns its id. Use this id as the testRunId when ingesting traces so that each trace becomes one test case in this run, evaluated with metricCollection when one is given.
curl -X POST "https://api.confident-ai.com/v2/test-runs" \
-H "CONFIDENT_API_KEY: <PROJECT-API-KEY>" \
-H "Content-Type: application/json" \
-d '{
"metricCollection": "Agent Quality",
"identifier": "run-399-102"
}'{
"success": true,
"data": {
"id": "<TEST-RUN-ID>"
},
"link": "https://app.confident-ai.com/project/<PROJECT-ID>/test-runs/<TEST-RUN-ID>/test-cases",
"deprecated": false
}Headers
CONFIDENT_API_KEYstringRequiredThe API key of your Confident AI project.
Request body
metricCollectionstringThe name of the metric collection used to evaluate the test cases formed from traces ingested into this test run. It must be a single-turn collection.
identifierstringAn optional human-readable identifier for the test run, shown on the Confident AI platform.
Response
Create Run succeeded.
successbooleanIndicates if the request was successful.
dataobjectShow 1 propertyHide 1 property
idstringThis is the unique identifier of the created test run. Pass it as
testRunIdwhen ingesting traces.
linkstringThis is the URL of the resource on the Confident AI platform.
deprecatedbooleanIndicates if this endpoint is deprecated.